<?xml version="1.0" encoding="UTF-8"?>
<bpmn2:definitions xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.omg.org/bpmn20" xmlns:bpmn2="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:bpsim="http://www.bpsim.org/schemas/1.0" xmlns:color="http://www.omg.org/spec/BPMN/non-normative/color" xmlns:dc="http://www.omg.org/spec/DD/20100524/DC" xmlns:di="http://www.omg.org/spec/DD/20100524/DI" xmlns:drools="http://www.jboss.org/drools" id="_VsApEKptEeaUQuicOZ5pnw" xsi:schemaLocation="http://www.omg.org/spec/BPMN/20100524/MODEL BPMN20.xsd http://www.jboss.org/drools drools.xsd http://www.bpsim.org/schemas/1.0 bpsim.xsd" exporter="jBPM Designer" exporterVersion="6.2.0" expressionLanguage="http://www.mvel.org/2.0" targetNamespace="http://www.omg.org/bpmn20" typeLanguage="http://www.java.com/javaTypes">
  <bpmn2:itemDefinition id="_driverItem" structureRef="org.acme.insurance.Driver"/>
  <bpmn2:itemDefinition id="_policyItem" structureRef="org.acme.insurance.Policy"/>
  <bpmn2:itemDefinition id="_priceItem" structureRef="Integer"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_driverinInputXItem" structureRef="org.acme.insurance.Driver"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_policyinInputXItem" structureRef="org.acme.insurance.Policy"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceInInputXItem" structureRef="Integer"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_SkippableInputXItem" structureRef="Object"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_GroupIdInputXItem" structureRef="Object"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_policyOutOutputXItem" structureRef="org.acme.insurance.Policy"/>
  <bpmn2:itemDefinition id="__CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceOutOutputXItem" structureRef="Integer"/>
  <bpmn2:process id="policyquote.policyquoteprocess" drools:packageName="org.acme.insurance.policyquote" drools:version="1.0" name="policyquoteprocess">
    <bpmn2:extensionElements>
      <drools:import name="org.acme.insurance.Driver"/>
      <drools:import name="org.acme.insurance.Policy"/>
    </bpmn2:extensionElements>
    <bpmn2:property id="driver" itemSubjectRef="_driverItem"/>
    <bpmn2:property id="policy" itemSubjectRef="_policyItem"/>
    <bpmn2:property id="price" itemSubjectRef="_priceItem"/>
    <bpmn2:startEvent id="_B16D8BFC-8757-42A0-B7C1-FB832F32E965" drools:selectable="true" color:background-color="#9acd32" color:border-color="#000000" color:color="#000000" name="">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[]]></drools:metaValue>
        </drools:metaData>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:outgoing>_EEDC55BE-C3E5-42F7-8E65-B5173C52280D</bpmn2:outgoing>
    </bpmn2:startEvent>
    <bpmn2:scriptTask id="_C6F12BBA-14CB-40CE-A22C-4AC89BB9C539" drools:selectable="true" color:background-color="#fafad2" color:border-color="#000000" color:color="#000000" name="Prepare Data" scriptFormat="http://www.java.com/java">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[Prepare Data]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:incoming>_EEDC55BE-C3E5-42F7-8E65-B5173C52280D</bpmn2:incoming>
      <bpmn2:outgoing>_596D892A-5650-46CD-B332-75CCC719F3A2</bpmn2:outgoing>
      <bpmn2:script><![CDATA[// instantiate and pre-populate driver and policy domain classes
// useful for lab 20 that currently invokes execution server without including policy and driver
if(driver == null) {
  driver = new Driver();
  driver.setDriverName("Azra");
  driver.setAge(22);
  driver.setNumberOfAccidents(0);
  driver.setNumberOfTickets(1);
  kcontext.setVariable("driver", driver);
}
if(policy == null) {
  policy = new Policy();
  kcontext.setVariable("policy", policy);

}

if(policy.getPolicyType() == null)
  policy.setPolicyType( "AUTO" );

policy.setDriver(driver);

System.out.println("** prepareData:  will now add policy  & driver to kruntime : "+policy);
/* insert objects into working memory */
kcontext.getKnowledgeRuntime().insert( driver );
kcontext.getKnowledgeRuntime().insert( policy );]]></bpmn2:script>
    </bpmn2:scriptTask>
    <bpmn2:sequenceFlow id="_EEDC55BE-C3E5-42F7-8E65-B5173C52280D" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" sourceRef="_B16D8BFC-8757-42A0-B7C1-FB832F32E965" targetRef="_C6F12BBA-14CB-40CE-A22C-4AC89BB9C539"/>
    <bpmn2:callActivity id="_B1998274-962D-4EB0-9A14-E2E904E0C5CF" drools:selectable="true" drools:independent="true" drools:waitForCompletion="true" color:background-color="#fafad2" color:border-color="#000000" color:color="#000000" name="Calculate Policy Quote" calledElement="policyquote.policyquotecalculationprocess">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[Calculate Policy Quote]]></drools:metaValue>
        </drools:metaData>
        <drools:onExit-script scriptFormat="http://www.java.com/java">
          <drools:script><![CDATA[org.acme.insurance.Policy _policy = (org.acme.insurance.Policy)kcontext.getVariable("policy");
kcontext.setVariable("price",_policy.getPrice());
System.out.println("Price before review: " + policy.getPrice());]]></drools:script>
        </drools:onExit-script>
      </bpmn2:extensionElements>
      <bpmn2:incoming>_596D892A-5650-46CD-B332-75CCC719F3A2</bpmn2:incoming>
      <bpmn2:outgoing>_A12C323D-6CBB-4786-818A-47BB267F7D1A</bpmn2:outgoing>
    </bpmn2:callActivity>
    <bpmn2:sequenceFlow id="_596D892A-5650-46CD-B332-75CCC719F3A2" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" sourceRef="_C6F12BBA-14CB-40CE-A22C-4AC89BB9C539" targetRef="_B1998274-962D-4EB0-9A14-E2E904E0C5CF"/>
    <bpmn2:businessRuleTask id="_666A8196-B0A3-4ADD-91D7-E2E01BC485DB" drools:selectable="true" drools:ruleFlowGroup="retract" drools:scriptFormat="http://www.java.com/java" color:background-color="#fafad2" color:border-color="#000000" color:color="#000000" name="Retract Facts">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[Retract Facts]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:incoming>_4F50D350-D954-4E79-8FC4-6AEB95130D02</bpmn2:incoming>
      <bpmn2:outgoing>_506B7AFE-13C7-450E-9EBB-094C0BF30B39</bpmn2:outgoing>
    </bpmn2:businessRuleTask>
    <bpmn2:endEvent id="_9C13E2F6-937A-4E7B-BCF5-BB61C757D7B2" drools:selectable="true" color:background-color="#ff6347" color:border-color="#000000" color:color="#000000" name="">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[]]></drools:metaValue>
        </drools:metaData>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:incoming>_506B7AFE-13C7-450E-9EBB-094C0BF30B39</bpmn2:incoming>
    </bpmn2:endEvent>
    <bpmn2:sequenceFlow id="_506B7AFE-13C7-450E-9EBB-094C0BF30B39" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" sourceRef="_666A8196-B0A3-4ADD-91D7-E2E01BC485DB" targetRef="_9C13E2F6-937A-4E7B-BCF5-BB61C757D7B2"/>
    <bpmn2:exclusiveGateway id="_756F05EF-03F3-491D-8DD9-159DA62AB54B" drools:selectable="true" drools:dg="" color:background-color="#f0e68c" color:border-color="#a67f00" color:color="#000000" name="" gatewayDirection="Diverging">
      <bpmn2:incoming>_A12C323D-6CBB-4786-818A-47BB267F7D1A</bpmn2:incoming>
      <bpmn2:outgoing>_55DD48B3-A1AC-4686-9C77-C4FE5FC6BE2D</bpmn2:outgoing>
      <bpmn2:outgoing>_5794FF5E-BD6F-45E9-87CE-63CE07723C3A</bpmn2:outgoing>
    </bpmn2:exclusiveGateway>
    <bpmn2:sequenceFlow id="_A12C323D-6CBB-4786-818A-47BB267F7D1A" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" sourceRef="_B1998274-962D-4EB0-9A14-E2E904E0C5CF" targetRef="_756F05EF-03F3-491D-8DD9-159DA62AB54B"/>
    <bpmn2:exclusiveGateway id="_5C414802-275E-4450-9A67-33D09D4CE21D" drools:selectable="true" drools:dg="" color:background-color="#f0e68c" color:border-color="#a67f00" color:color="#000000" name="" gatewayDirection="Converging">
      <bpmn2:incoming>_55DD48B3-A1AC-4686-9C77-C4FE5FC6BE2D</bpmn2:incoming>
      <bpmn2:incoming>_6A6028C6-4519-4D81-B998-101429802509</bpmn2:incoming>
      <bpmn2:outgoing>_4F50D350-D954-4E79-8FC4-6AEB95130D02</bpmn2:outgoing>
    </bpmn2:exclusiveGateway>
    <bpmn2:sequenceFlow id="_55DD48B3-A1AC-4686-9C77-C4FE5FC6BE2D" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" name="500 or less" sourceRef="_756F05EF-03F3-491D-8DD9-159DA62AB54B" targetRef="_5C414802-275E-4450-9A67-33D09D4CE21D">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[500 or less]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:conditionExpression xsi:type="bpmn2:tFormalExpression" id="_VsBQIKptEeaUQuicOZ5pnw" language="http://www.jboss.org/drools/rule"><![CDATA[Policy(price <= 500)]]></bpmn2:conditionExpression>
    </bpmn2:sequenceFlow>
    <bpmn2:sequenceFlow id="_4F50D350-D954-4E79-8FC4-6AEB95130D02" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" sourceRef="_5C414802-275E-4450-9A67-33D09D4CE21D" targetRef="_666A8196-B0A3-4ADD-91D7-E2E01BC485DB"/>
    <bpmn2:userTask id="_CA99F2A7-F169-477B-A513-DC94C0C842B2" drools:selectable="true" drools:scriptFormat="http://www.java.com/java" color:background-color="#fafad2" color:border-color="#000000" color:color="#000000" name="Review Quote">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[Review Quote]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:incoming>_5794FF5E-BD6F-45E9-87CE-63CE07723C3A</bpmn2:incoming>
      <bpmn2:outgoing>_6A6028C6-4519-4D81-B998-101429802509</bpmn2:outgoing>
      <bpmn2:ioSpecification id="_VsBQIaptEeaUQuicOZ5pnw">
        <bpmn2:dataInput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_TaskNameInputX" name="TaskName"/>
        <bpmn2:dataInput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_driverinInputX" drools:dtype="org.acme.insurance.Driver" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_driverinInputXItem" name="driverin"/>
        <bpmn2:dataInput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_policyinInputX" drools:dtype="org.acme.insurance.Policy" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_policyinInputXItem" name="policyin"/>
        <bpmn2:dataInput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceInInputX" drools:dtype="Integer" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceInInputXItem" name="taskPriceIn"/>
        <bpmn2:dataInput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_SkippableInputX" drools:dtype="Object" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_SkippableInputXItem" name="Skippable"/>
        <bpmn2:dataInput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_GroupIdInputX" drools:dtype="Object" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_GroupIdInputXItem" name="GroupId"/>
        <bpmn2:dataOutput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_policyOutOutputX" drools:dtype="org.acme.insurance.Policy" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_policyOutOutputXItem" name="policyOut"/>
        <bpmn2:dataOutput id="_CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceOutOutputX" drools:dtype="Integer" itemSubjectRef="__CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceOutOutputXItem" name="taskPriceOut"/>
        <bpmn2:inputSet id="_VsBQIqptEeaUQuicOZ5pnw">
          <bpmn2:dataInputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_driverinInputX</bpmn2:dataInputRefs>
          <bpmn2:dataInputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_policyinInputX</bpmn2:dataInputRefs>
          <bpmn2:dataInputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceInInputX</bpmn2:dataInputRefs>
          <bpmn2:dataInputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_SkippableInputX</bpmn2:dataInputRefs>
          <bpmn2:dataInputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_GroupIdInputX</bpmn2:dataInputRefs>
          <bpmn2:dataInputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_TaskNameInputX</bpmn2:dataInputRefs>
        </bpmn2:inputSet>
        <bpmn2:outputSet id="_VsBQI6ptEeaUQuicOZ5pnw">
          <bpmn2:dataOutputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_policyOutOutputX</bpmn2:dataOutputRefs>
          <bpmn2:dataOutputRefs>_CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceOutOutputX</bpmn2:dataOutputRefs>
        </bpmn2:outputSet>
      </bpmn2:ioSpecification>
      <bpmn2:dataInputAssociation id="_VsBQJKptEeaUQuicOZ5pnw">
        <bpmn2:targetRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_TaskNameInputX</bpmn2:targetRef>
        <bpmn2:assignment id="_VsBQJaptEeaUQuicOZ5pnw">
          <bpmn2:from xsi:type="bpmn2:tFormalExpression" id="_VsBQJqptEeaUQuicOZ5pnw">reviewQuote</bpmn2:from>
          <bpmn2:to xsi:type="bpmn2:tFormalExpression" id="_VsBQJ6ptEeaUQuicOZ5pnw">_CA99F2A7-F169-477B-A513-DC94C0C842B2_TaskNameInputX</bpmn2:to>
        </bpmn2:assignment>
      </bpmn2:dataInputAssociation>
      <bpmn2:dataInputAssociation id="_VsBQKKptEeaUQuicOZ5pnw">
        <bpmn2:sourceRef>driver</bpmn2:sourceRef>
        <bpmn2:targetRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_driverinInputX</bpmn2:targetRef>
      </bpmn2:dataInputAssociation>
      <bpmn2:dataInputAssociation id="_VsBQKaptEeaUQuicOZ5pnw">
        <bpmn2:sourceRef>policy</bpmn2:sourceRef>
        <bpmn2:targetRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_policyinInputX</bpmn2:targetRef>
      </bpmn2:dataInputAssociation>
      <bpmn2:dataInputAssociation id="_VsBQKqptEeaUQuicOZ5pnw">
        <bpmn2:sourceRef>price</bpmn2:sourceRef>
        <bpmn2:targetRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceInInputX</bpmn2:targetRef>
      </bpmn2:dataInputAssociation>
      <bpmn2:dataInputAssociation id="_VsBQK6ptEeaUQuicOZ5pnw">
        <bpmn2:targetRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_GroupIdInputX</bpmn2:targetRef>
        <bpmn2:assignment id="_VsBQLKptEeaUQuicOZ5pnw">
          <bpmn2:from xsi:type="bpmn2:tFormalExpression" id="_VsBQLaptEeaUQuicOZ5pnw"><![CDATA[reviewer]]></bpmn2:from>
          <bpmn2:to xsi:type="bpmn2:tFormalExpression" id="_VsBQLqptEeaUQuicOZ5pnw">_CA99F2A7-F169-477B-A513-DC94C0C842B2_GroupIdInputX</bpmn2:to>
        </bpmn2:assignment>
      </bpmn2:dataInputAssociation>
      <bpmn2:dataInputAssociation id="_VsBQL6ptEeaUQuicOZ5pnw">
        <bpmn2:targetRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_SkippableInputX</bpmn2:targetRef>
        <bpmn2:assignment id="_VsBQMKptEeaUQuicOZ5pnw">
          <bpmn2:from xsi:type="bpmn2:tFormalExpression" id="_VsBQMaptEeaUQuicOZ5pnw">true</bpmn2:from>
          <bpmn2:to xsi:type="bpmn2:tFormalExpression" id="_VsBQMqptEeaUQuicOZ5pnw">_CA99F2A7-F169-477B-A513-DC94C0C842B2_SkippableInputX</bpmn2:to>
        </bpmn2:assignment>
      </bpmn2:dataInputAssociation>
      <bpmn2:dataOutputAssociation id="_VsBQM6ptEeaUQuicOZ5pnw">
        <bpmn2:sourceRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_policyOutOutputX</bpmn2:sourceRef>
        <bpmn2:targetRef>policy</bpmn2:targetRef>
      </bpmn2:dataOutputAssociation>
      <bpmn2:dataOutputAssociation id="_VsBQNKptEeaUQuicOZ5pnw">
        <bpmn2:sourceRef>_CA99F2A7-F169-477B-A513-DC94C0C842B2_taskPriceOutOutputX</bpmn2:sourceRef>
        <bpmn2:targetRef>price</bpmn2:targetRef>
      </bpmn2:dataOutputAssociation>
    </bpmn2:userTask>
    <bpmn2:sequenceFlow id="_5794FF5E-BD6F-45E9-87CE-63CE07723C3A" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" name="Over 500" sourceRef="_756F05EF-03F3-491D-8DD9-159DA62AB54B" targetRef="_CA99F2A7-F169-477B-A513-DC94C0C842B2">
      <bpmn2:extensionElements>
        <drools:metaData name="elementname">
          <drools:metaValue><![CDATA[Over 500]]></drools:metaValue>
        </drools:metaData>
      </bpmn2:extensionElements>
      <bpmn2:conditionExpression xsi:type="bpmn2:tFormalExpression" id="_VsBQNaptEeaUQuicOZ5pnw" language="http://www.jboss.org/drools/rule"><![CDATA[Policy(price > 500)]]></bpmn2:conditionExpression>
    </bpmn2:sequenceFlow>
    <bpmn2:sequenceFlow id="_6A6028C6-4519-4D81-B998-101429802509" drools:selectable="true" color:background-color="#000000" color:border-color="#000000" color:color="#000000" sourceRef="_CA99F2A7-F169-477B-A513-DC94C0C842B2" targetRef="_5C414802-275E-4450-9A67-33D09D4CE21D"/>
  </bpmn2:process>
  <bpmndi:BPMNDiagram id="_VsBQNqptEeaUQuicOZ5pnw">
    <bpmndi:BPMNPlane id="_VsBQN6ptEeaUQuicOZ5pnw" bpmnElement="policyquote.policyquoteprocess">
      <bpmndi:BPMNShape id="_VsBQOKptEeaUQuicOZ5pnw" bpmnElement="_B16D8BFC-8757-42A0-B7C1-FB832F32E965">
        <dc:Bounds height="30.0" width="30.0" x="120.0" y="165.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="_VsBQOaptEeaUQuicOZ5pnw" bpmnElement="_C6F12BBA-14CB-40CE-A22C-4AC89BB9C539">
        <dc:Bounds height="80.0" width="100.0" x="195.0" y="140.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="_VsBQOqptEeaUQuicOZ5pnw" bpmnElement="_EEDC55BE-C3E5-42F7-8E65-B5173C52280D">
        <di:waypoint xsi:type="dc:Point" x="135.0" y="180.0"/>
        <di:waypoint xsi:type="dc:Point" x="245.0" y="180.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="_VsBQO6ptEeaUQuicOZ5pnw" bpmnElement="_B1998274-962D-4EB0-9A14-E2E904E0C5CF">
        <dc:Bounds height="80.0" width="100.0" x="345.0" y="135.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="_VsBQPKptEeaUQuicOZ5pnw" bpmnElement="_596D892A-5650-46CD-B332-75CCC719F3A2">
        <di:waypoint xsi:type="dc:Point" x="245.0" y="180.0"/>
        <di:waypoint xsi:type="dc:Point" x="395.0" y="175.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="_VsBQPaptEeaUQuicOZ5pnw" bpmnElement="_666A8196-B0A3-4ADD-91D7-E2E01BC485DB">
        <dc:Bounds height="80.0" width="100.0" x="765.0" y="135.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape id="_VsBQPqptEeaUQuicOZ5pnw" bpmnElement="_9C13E2F6-937A-4E7B-BCF5-BB61C757D7B2">
        <dc:Bounds height="28.0" width="28.0" x="910.0" y="161.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="_VsBQP6ptEeaUQuicOZ5pnw" bpmnElement="_506B7AFE-13C7-450E-9EBB-094C0BF30B39">
        <di:waypoint xsi:type="dc:Point" x="815.0" y="175.0"/>
        <di:waypoint xsi:type="dc:Point" x="924.0" y="175.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="_VsBQQKptEeaUQuicOZ5pnw" bpmnElement="_756F05EF-03F3-491D-8DD9-159DA62AB54B">
        <dc:Bounds height="40.0" width="40.0" x="490.0" y="155.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="_VsBQQaptEeaUQuicOZ5pnw" bpmnElement="_A12C323D-6CBB-4786-818A-47BB267F7D1A">
        <di:waypoint xsi:type="dc:Point" x="395.0" y="175.0"/>
        <di:waypoint xsi:type="dc:Point" x="510.0" y="175.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="_VsBQQqptEeaUQuicOZ5pnw" bpmnElement="_5C414802-275E-4450-9A67-33D09D4CE21D">
        <dc:Bounds height="40.0" width="40.0" x="675.0" y="155.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="_VsBQQ6ptEeaUQuicOZ5pnw" bpmnElement="_55DD48B3-A1AC-4686-9C77-C4FE5FC6BE2D">
        <di:waypoint xsi:type="dc:Point" x="510.0" y="175.0"/>
        <di:waypoint xsi:type="dc:Point" x="695.0" y="175.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="_VsBQRKptEeaUQuicOZ5pnw" bpmnElement="_4F50D350-D954-4E79-8FC4-6AEB95130D02">
        <di:waypoint xsi:type="dc:Point" x="695.0" y="175.0"/>
        <di:waypoint xsi:type="dc:Point" x="815.0" y="175.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNShape id="_VsBQRaptEeaUQuicOZ5pnw" bpmnElement="_CA99F2A7-F169-477B-A513-DC94C0C842B2">
        <dc:Bounds height="80.0" width="100.0" x="555.0" y="270.0"/>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge id="_VsBQRqptEeaUQuicOZ5pnw" bpmnElement="_5794FF5E-BD6F-45E9-87CE-63CE07723C3A">
        <di:waypoint xsi:type="dc:Point" x="510.0" y="175.0"/>
        <di:waypoint xsi:type="dc:Point" x="510.0" y="310.0"/>
        <di:waypoint xsi:type="dc:Point" x="605.0" y="310.0"/>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge id="_VsBQR6ptEeaUQuicOZ5pnw" bpmnElement="_6A6028C6-4519-4D81-B998-101429802509">
        <di:waypoint xsi:type="dc:Point" x="605.0" y="310.0"/>
        <di:waypoint xsi:type="dc:Point" x="695.0" y="310.0"/>
        <di:waypoint xsi:type="dc:Point" x="695.0" y="175.0"/>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
  <bpmn2:relationship id="_VsB3MKptEeaUQuicOZ5pnw" type="BPSimData">
    <bpmn2:extensionElements>
      <bpsim:BPSimData>
        <bpsim:Scenario xsi:type="bpsim:Scenario" id="default" name="Simulationscenario">
          <bpsim:ScenarioParameters xsi:type="bpsim:ScenarioParameters" baseTimeUnit="min"/>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_B1998274-962D-4EB0-9A14-E2E904E0C5CF" id="_VsB3MaptEeaUQuicOZ5pnw">
            <bpsim:TimeParameters xsi:type="bpsim:TimeParameters">
              <bpsim:ProcessingTime xsi:type="bpsim:Parameter">
                <bpsim:UniformDistribution max="10.0" min="5.0"/>
              </bpsim:ProcessingTime>
            </bpsim:TimeParameters>
            <bpsim:CostParameters xsi:type="bpsim:CostParameters">
              <bpsim:UnitCost xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="0.0"/>
              </bpsim:UnitCost>
            </bpsim:CostParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_6A6028C6-4519-4D81-B998-101429802509" id="_VsB3MqptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_CA99F2A7-F169-477B-A513-DC94C0C842B2" id="_VsB3M6ptEeaUQuicOZ5pnw">
            <bpsim:TimeParameters xsi:type="bpsim:TimeParameters">
              <bpsim:ProcessingTime xsi:type="bpsim:Parameter">
                <bpsim:UniformDistribution max="10.0" min="5.0"/>
              </bpsim:ProcessingTime>
            </bpsim:TimeParameters>
            <bpsim:ResourceParameters xsi:type="bpsim:ResourceParameters">
              <bpsim:Availability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="8.0"/>
              </bpsim:Availability>
              <bpsim:Quantity xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="1.0"/>
              </bpsim:Quantity>
            </bpsim:ResourceParameters>
            <bpsim:CostParameters xsi:type="bpsim:CostParameters">
              <bpsim:UnitCost xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="0.0"/>
              </bpsim:UnitCost>
            </bpsim:CostParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_55DD48B3-A1AC-4686-9C77-C4FE5FC6BE2D" id="_VsB3NKptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_4F50D350-D954-4E79-8FC4-6AEB95130D02" id="_VsB3NaptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_5794FF5E-BD6F-45E9-87CE-63CE07723C3A" id="_VsB3NqptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_C6F12BBA-14CB-40CE-A22C-4AC89BB9C539" id="_VsB3N6ptEeaUQuicOZ5pnw">
            <bpsim:TimeParameters xsi:type="bpsim:TimeParameters">
              <bpsim:ProcessingTime xsi:type="bpsim:Parameter">
                <bpsim:UniformDistribution max="10.0" min="5.0"/>
              </bpsim:ProcessingTime>
            </bpsim:TimeParameters>
            <bpsim:CostParameters xsi:type="bpsim:CostParameters">
              <bpsim:UnitCost xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="0.0"/>
              </bpsim:UnitCost>
            </bpsim:CostParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_B16D8BFC-8757-42A0-B7C1-FB832F32E965" id="_VsB3OKptEeaUQuicOZ5pnw">
            <bpsim:TimeParameters xsi:type="bpsim:TimeParameters">
              <bpsim:ProcessingTime xsi:type="bpsim:Parameter">
                <bpsim:UniformDistribution max="10.0" min="5.0"/>
              </bpsim:ProcessingTime>
            </bpsim:TimeParameters>
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_EEDC55BE-C3E5-42F7-8E65-B5173C52280D" id="_VsB3OaptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_666A8196-B0A3-4ADD-91D7-E2E01BC485DB" id="_VsB3OqptEeaUQuicOZ5pnw">
            <bpsim:TimeParameters xsi:type="bpsim:TimeParameters">
              <bpsim:ProcessingTime xsi:type="bpsim:Parameter">
                <bpsim:UniformDistribution max="10.0" min="5.0"/>
              </bpsim:ProcessingTime>
            </bpsim:TimeParameters>
            <bpsim:CostParameters xsi:type="bpsim:CostParameters">
              <bpsim:UnitCost xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="0.0"/>
              </bpsim:UnitCost>
            </bpsim:CostParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_9C13E2F6-937A-4E7B-BCF5-BB61C757D7B2" id="_VsB3O6ptEeaUQuicOZ5pnw">
            <bpsim:TimeParameters xsi:type="bpsim:TimeParameters">
              <bpsim:ProcessingTime xsi:type="bpsim:Parameter">
                <bpsim:UniformDistribution max="10.0" min="5.0"/>
              </bpsim:ProcessingTime>
            </bpsim:TimeParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_A12C323D-6CBB-4786-818A-47BB267F7D1A" id="_VsB3PKptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_596D892A-5650-46CD-B332-75CCC719F3A2" id="_VsB3PaptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
          <bpsim:ElementParameters xsi:type="bpsim:ElementParameters" elementRef="_506B7AFE-13C7-450E-9EBB-094C0BF30B39" id="_VsB3PqptEeaUQuicOZ5pnw">
            <bpsim:ControlParameters xsi:type="bpsim:ControlParameters">
              <bpsim:Probability xsi:type="bpsim:Parameter">
                <bpsim:FloatingParameter value="100.0"/>
              </bpsim:Probability>
            </bpsim:ControlParameters>
          </bpsim:ElementParameters>
        </bpsim:Scenario>
      </bpsim:BPSimData>
    </bpmn2:extensionElements>
    <bpmn2:source>_VsApEKptEeaUQuicOZ5pnw</bpmn2:source>
    <bpmn2:target>_VsApEKptEeaUQuicOZ5pnw</bpmn2:target>
  </bpmn2:relationship>
</bpmn2:definitions>
